> For the complete documentation index, see [llms.txt](https://docs.bluzelle.com/developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluzelle.com/developers/bluzeller2/deploy-your-dapps/blzpy.md).

# Python

![](https://raw.githubusercontent.com/bluzelle/api/master/source/images/Bluzelle%20-%20Logo%20-%20Big%20-%20Colour.png)

## Getting started

Ensure you have a recent version of [Python 3](https://www.python.org/) installed.

Grab the package from github:

```
pipenv install git+https://github.com/bluzelle/blzpy.git#egg=bluzelle
```

Use:

```python
import bluzelle

client = bluzelle.new_client({
  'address':  '...',
  'mnemonic': '...',
})

gas_info = {
  'max_fee': 4000001,
}

key = 'foo'

client.create(key, 'bar', gas_info)
value = client.read(key)
client.update(key, 'baz', gas_info)
client.delete(key, gas_info)
```

## Examples

Copy `.env.sample` to `.env` and configure if needed.

```
cp .env.sample .env
```

Then run the example:

```
DEBUG=false python examples/crud.py
```

## Tests

The `tests/` can best be run in a [pipenv](https://github.com/pypa/pipenv) environment. To do so, initialize one with:

```
pipenv --python 3
```

Install requirements:

```
pipenv install
```

Then run the tests:

```
make test
```

## User Acceptance Testing

Please checkout the [UAT.md](https://github.com/bluzelle/blzpy/blob/master/UAT.md) document for more details.

## Licence

MIT


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluzelle.com/developers/bluzeller2/deploy-your-dapps/blzpy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
